All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.events
Class EventFactory

    com.sas.services.events.EventFactory

Deprecated. As of release 9.3, replaced by SAS Midtier Eventing Architecture.

    public class EventFactory

This class produces events that can be sent to an `EventBroker service`. Event specifications are described in the package documentation for the Event Broker.

## Usage

Use this class to create new events.

Since:
  1.0

Constructor Summary
`EventFactory()` Deprecated.

Method Summary
`EventInterface` | `newEvent()` Deprecated. Create a new Event.
`EventInterface` | `newEvent(org.w3c.dom.Document existingEvent)` Deprecated. Create a new Event from an existing one.
`EventInterface` | `newEvent(java.lang.String eventName)` Deprecated. Create a new Event with the specified name.

Constructor Detail

### EventFactory

    public EventFactory()

  Deprecated.

Method Detail

### newEvent

    public EventInterface newEvent()

  Deprecated.
  Create a new Event.

  Returns:
    generated event.
  See Also:
    `EventInterface`

### newEvent

    public EventInterface newEvent(java.lang.String eventName)

  Deprecated.
  Create a new Event with the specified name.

  Parameters:
    `eventName` - Name of the event.
  Returns:
    generated event.
  See Also:
    `EventInterface`

### newEvent

    public EventInterface newEvent(org.w3c.dom.Document existingEvent)

  Deprecated.
  Create a new Event from an existing one.

  Parameters:
    `existingEvent` - existing event.
  Returns:
    generated event.
  See Also:
    `EventInterface`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.